Subject: Re: bug#41812: 28.0.50; pr-ps-... does not print certain accented characters, bust shows question marks instead

From: Gregor Zattler <[email-masked]>
Date: Sun, 14 Jun 2020 21:59:39 +0200

Hi Eli, Emacs developers,
* Gregor Zattler <[email-masked]> [2020-06-13; 11:49]:
> * Eli Zaretskii <[email-masked]> [2020-06-12; 10:30]:
>>> From: Gregor Zattler <[email-masked]>
>>> Date: Thu, 11 Jun 2020 21:09:55 +0200
>>>
>>> when printing via ps-print-... I realized, that some
>>> accented characters, namely
>>>
>>> - capital letter L slash
>>> - small letter n acute
>>> - small letter o acute
>>> - small letter z acute
>>>
>>> are exchanged for question marks.
>>

This time the file with the test text is attached:

test text follows:   Łódź  koń

>> To make the report more easily reproducible and investigated, it is
>> better to leave printing.el commands that invoke Ghostview out of the
>> picture, since invoking external commands could produce other
>> irrelevant issues.  If you instead produce a PostScript buffer out of
>> your text and look at the produced PostScript, do you see the question
>> marks there, and if so, for which characters?

I did emacs -Q ~/tmp/multibyte.txt  --eval '(ps-spool-buffer)'
then in *PostScript* there are question marks for:

- capital letter L slash
- small letter n acute
- small letter z acute

>> With the exception of o acute, the other characters aren't Latin-1, so
>> I think what you see is expected.  To see more characters, you need to
>> customize ps-mule.el; at least ps-mule-font-info-database-default
>> should be customized.  Maybe you should also install GNU
>> Intlfonts.

I installed these.

>> I suggest to read the commentary at the beginning of
>> ps-mule.el for more details.

Thanks.  The documentation for
ps-mule-font-info-database-default says, it's used if
ps-multibyte-buffer is nil.  So I customized
ps-multibyte-buffer to 'bdf-font-except-latin and spooled
again.  With the same result question mark-wise.

I then tried additionally ps-mule-font-info-database-default
with an additional entry Symbol: utf-8 with font source bdf
(I have no clue how to customize this variable).  This
resulted in the same 3 question marks in the *PostScript*
buffer.

I do not really understand how this works and how to
customize it.

Since my multibyte.txt file is loaded in a buffer with an
"U" in the left corner of the mode line, I expected emacs to
do the right thing also with regard to printing.

But thanks for your help.  I'll do some internet search when
I have more time for this.

Ciao,
--
Gregor